libnjb: njb_playlist_struct Struct Reference

libnjb 2.2.7

Data Fields
njb_playlist_struct Struct Reference

`#include <libnjb.h>`

## Data Fields
char * | name
int | _state
u_int32_t | ntracks
u_int32_t | plid
njb_playlist_track_t * | first
njb_playlist_track_t * | last
njb_playlist_track_t * | cur
njb_playlist_t * | nextpl

## Detailed Description

This struct holds the actual playlist. A playlist usually contain a number of `njb_playlist_track_t` tracks.

Examples
  pl.c, and playlists.c.

## Field Documentation

## ◆ _state

int njb_playlist_struct::_state

The state of this playlist

Examples
  pl.c, and playlists.c.

Referenced by NJB_Playlist_Addtrack(), NJB_Playlist_Deltrack_TrackID(), NJB_Playlist_New(), NJB_Playlist_Set_Name(), and NJB_Update_Playlist().

## ◆ cur

njb_playlist_track_t* njb_playlist_struct::cur

A pointer to the current track in this playlist

Referenced by NJB_Playlist_Destroy(), NJB_Playlist_Gettrack(), and NJB_Playlist_Reset_Gettrack().

## ◆ first

njb_playlist_track_t* njb_playlist_struct::first

A pointer to the first track in this playlist

Referenced by NJB_Playlist_Deltrack_TrackID(), NJB_Playlist_Destroy(), and NJB_Playlist_Reset_Gettrack().

## ◆ last

njb_playlist_track_t* njb_playlist_struct::last

A pointer to the last track in this playlist

## ◆ name

char* njb_playlist_struct::name

The name of this playlist

Examples
  pl.c, and playlists.c.

Referenced by NJB_Playlist_Destroy(), and NJB_Playlist_Set_Name().

## ◆ nextpl

njb_playlist_t* njb_playlist_struct::nextpl

Used internally for spanning lists of playlists on series 3 devices only

## ◆ ntracks

u_int32_t njb_playlist_struct::ntracks

The number of tracks in this playlist

Examples
  pl.c, and playlists.c.

Referenced by NJB_Playlist_Addtrack(), NJB_Playlist_Deltrack(), and NJB_Playlist_Deltrack_TrackID().

## ◆ plid

u_int32_t njb_playlist_struct::plid

The playlist ID for this playlist, as used on the device

Examples
  pl.c, and playlists.c.

Referenced by playlist_unpack().

The documentation for this struct was generated from the following file:

- /root/tmp/build-libnjb/libnjb-2.2.7/src/libnjb.h